## visad.data.tiff
Class LegacyBitBuffer

    java.lang.Object
      visad.data.tiff.LegacyBitBuffer

Deprecated. Use loci.formats.BitBuffer

public class LegacyBitBuffer
extends Object

A class for reading arbitrary numbers of bits from an input stream.

Constructor Summary
`LegacyBitBuffer(InputStream i)` Deprecated.

Method Summary
`int` `getBits(int bitsToRead)` Deprecated.
`static void` `main(String[] args)` Deprecated.
`long` `skipBits(long bitsToSkip)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyBitBuffer

    public LegacyBitBuffer(InputStream i)
                    throws IOException

  Deprecated.

Method Detail

### skipBits

    public long skipBits(long bitsToSkip)
                  throws IOException

  Deprecated.
  Throws:
    `IOException`

### getBits

    public int getBits(int bitsToRead)
                throws IOException,
                       FileNotFoundException

  Deprecated.
  Throws:
    `IOException`
    `FileNotFoundException`

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated.
  Throws:
    `Exception`